MaixPy IDE in macOS 10.14.6

Hello, I’ve just tried to run MaixPy IDE in macOS 10.14.6 but it fails.
the error is
Dyld Error Message:
Library not loaded: @rpath/QtWidgets.framework/Versions/5/QtWidgets
Referenced from: /Applications/MaixPy IDE.app/Contents/MacOS/MaixPy IDE
Reason: image not found

it would be great to have a way of running on mac, even if I have to install manually the missing library, or install something through homebrew.
Thank you